html {
    scroll-behavior: smooth;
    scroll-padding-top: 50px;
}

body {
    font-family: "Poppins", sans-serif;
    background: #fff5f7;
    color: #4a044e;
}

.container {
    max-width: 1400px;
    margin: 0 auto;
}

.text-center {
    text-align: center;
}

.grid {
    display: grid;
    /* grid-template-columns: 1fr 1fr 2fr; */
    gap: 64px;
}

.img-responsive {
    max-width: 100%;
    display: block;
}

.grid-2-columns {
    grid-template-columns: 1fr 1fr;
}

.grid-3-columns {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
}

.grid-3-columns-with-first-narrow {
    grid-template-columns: 1fr 2fr 2fr;
}

.embed {
    width: 100%;
    aspect-ratio: 1 /1;
}

.instagram-embeds {
    margin: 30px 0;
}

.card {
    background: #fff;
    margin: 30px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
    display: flex;
    flex-direction: column;
    height: 100%;
    /* border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05); */
}

.card-header.grid {
    grid-template-columns: 1fr 1fr;
    grid-gap: 0;
}

.card-header img, 
.card-header .embed {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.card-body {
    padding: 30px;
    flex-grow: 1;
}

.card-body h4 {
    font-size: 28px;
    margin-bottom: 20px;
    color: #272142;
}

.card-body h5 {
    color: #f472b6;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 1px;
    margin-top: 25px;
}

.card-body p {
    font-size: 16px;
    line-height: 1.6;
    opacity: 0.8;
}

.card-footer {
    padding: 0px 30px 30px;
    text-align: center;
}



.btn {
    display: inline-block;
    color: #4a044e;
    font-weight: 700;
    font-size: 14px;
    line-height: 21px;
    text-align: center;
    letter-spacing: 3px;
    text-transform: uppercase;
    padding: 12px 24px;
    background-color: white;
    text-decoration: none;
    border: 1px solid #4a044e;
    border-radius: 4px;
    transition: all 200ms ease-in-out;
}

.btn:hover {
    background-color: #4a044e;
    color: #fff;
}

section { 
    max-width: 100%;
    margin: 0 auto;
    padding: 100px 0;
}

section.secondary {
    background: #fff5f7;
}

header {
    background-image: linear-gradient(rgba(74, 4, 78, 0.6), rgba(74, 4, 78, 0.6)), url(images/johannesburg.webp);
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
    text-align: center;
    padding: 200px 0;
}

header h1 {
    font-weight: 700;
    font-size: 96px;
    line-height: 1;
    margin: 30px 0;
}

header h2 {
    font-weight: 400;
    font-size: 40px;
    line-height: 1.5;
    margin: 0;

}

header h3 {
    font-weight: 900;
    font-size: 24px;
    line-height: 1.5;
    letter-spacing: 5px;
    margin: 0;
    color: #f472b6;
}

header a {
    font-weight: 700;
    font-size: 14px;
    line-height: 1.5;
    text-align: center;
    color: #4a044e;
    padding: 16px 32px;
    margin-top: 32px;
    display: inline-block;
    letter-spacing: 3px;
    text-decoration: none;
    text-transform: uppercase;
    background: white;
}

main {
    background-color: white;
}

main h2 {
    font-weight: 700;
    font-size: 16px;
    line-height: 1.5;
    margin: 0;
    letter-spacing: 5px;
    color: #4a044e;
    opacity: 0.3;
    text-transform: uppercase;
}

main h3 {
    font-weight: 700;
    font-size: 40px;
    line-height: 1.5;
    color: #4a044e;
    margin: 0;
}

main h4 {
    font-weight: 700;
    font-size: 24px;
    line-height: 1;
    color: #4a044e;
    margin: 0;
}

main h5 {
    font-weight: 700;
    font-size: 13px;
    line-height: 1;
    color: #4a044e;
    margin: 0;
}

main p {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #4a044e;
    opacity: 0.7;
}

footer {
    color: white;
    background-image: linear-gradient(
        rgba(74, 4, 78, 0.9),
        rgba(74, 4, 78, 0.9)
    ),url(images/elephant.webp);

    background-repeat: no-repeat;
    background-size: cover;
    padding: 100px 0;
}

footer h3 {
    font-weight: 700;
    font-size: 20px;
    line-height: 30px;
    color: #f472b6;
    margin-bottom: 20px;
}

footer p {
    font-weight: 400;
    font-size: 16px;
    opacity: 0.9;
    margin-right: 20px;
    line-height: 24px;
}

footer ul {
    padding: 0;
}

footer li {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer a {
    color: white;
    opacity: 0.7;
}

header a:hover {
    background: #db2777;
    color: white;
}

@media (max-width: 960px) {
    header {
        padding: 60px 0;;
    }

    header h1 {
        font-size: 48px;
    }

    header h2 {
        font-size: 20px;
    }

    header h3 {
        font-size: 12px;
    } 

    .grid {
        grid-template-columns: 1fr;
    }
    
    .grid,
    .grid-2-columns,
    .grid-3-columns, 
    .grid-3-columns-with-first-narrow {
        grid-template-columns: 1fr;
        gap: 32px;
    }
}